Сайт | Скачать | Видео | Wiki

Автор Тема: pra1608 : неудачное обновление  (Прочитано 186 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Ekim

  • Постоялец
  • ***
  • Сообщений: 144
  • Репутация: +3/-0
pra1608 : неудачное обновление
« : 18 Ноябрь 2017, 21:54:07 »
pra1608 после обновления отвалился нетворкманагер и авторизация , ссылается на  systemctl
обновлял все кроме фирмваре и  виртбокс , может в этом причина ?
« Последнее редактирование: 19 Ноябрь 2017, 13:21:32 от sfs »

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 20170
  • Репутация: +147/-0
    • PuppyRus-A
Re: pra1608 : неудачное обновление
« Ответ #1 : 19 Ноябрь 2017, 13:22:36 »
Поддерживаются только свежие iso
Переставляйте

Оффлайн Ekim

  • Постоялец
  • ***
  • Сообщений: 144
  • Репутация: +3/-0
Re: pra1608 : неудачное обновление
« Ответ #2 : 20 Ноябрь 2017, 10:47:07 »
Да пришлось на дефолтную откатить.
Вот правильно говорят, если все работает нечего обновляться ))
(думаю тему можно удалять)

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 20170
  • Репутация: +147/-0
    • PuppyRus-A
Re: pra1608 : неудачное обновление
« Ответ #3 : 20 Ноябрь 2017, 10:48:52 »
Вот правильно говорят, если все работает нечего обновляться ))
Спорное утверждение
Не надо миксовать старые релизы с новыми. Особенно модули 070 и 089

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 9230
  • Репутация: +93/-0
Re: pra1608 : неудачное обновление
« Ответ #4 : 20 Ноябрь 2017, 10:52:50 »
идея с накопительством в отдельном модуле изначально плохая. Имея инструменты легкой пересборки модулей, пользуемся костылем и разгребаем проблемы на ровном месте.
Я загружаю новые пакеты сюда: http://file.puppyrus.ml/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 20170
  • Репутация: +147/-0
    • PuppyRus-A
Re: pra1608 : неудачное обновление
« Ответ #5 : 20 Ноябрь 2017, 10:57:06 »
Имея инструменты легкой пересборки модулей
Они только в ролл
Если установлен фругал - все равно придется обновляться через модули , а не пакеты
Фругал + обновления пакетов в сохраненке - как-то не то что бы хотелось
Красиво и правильно получится только в ролл-фулл (и то чуть позже - не довел до ума тему багфиксов)
« Последнее редактирование: 20 Ноябрь 2017, 11:04:55 от sfs »

Оффлайн Ekim

  • Постоялец
  • ***
  • Сообщений: 144
  • Репутация: +3/-0
Re: pra1608 : неудачное обновление
« Ответ #6 : 20 Ноябрь 2017, 11:07:51 »
Ну может быть и так. Но зачем тогда всплывающее предложение на обновление если оно для устаревшего (1608) релиза некорректно?
(понятное дело, что это можно отключить.)
Пра он тем хорош, что все откатить без потерь в пять минут можно, это безусловно. Но как бы вот этот момент с обновлением мне видится недоработанным.
Ну или предупреждение какое-нибудь перед обновлением, мол так и так - "не рекомендуется для ...."
 

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 20170
  • Репутация: +147/-0
    • PuppyRus-A
Re: pra1608 : неудачное обновление
« Ответ #7 : 20 Ноябрь 2017, 11:21:27 »
Пра он тем хорош, что все откатить без потерь в пять минут можно, это безусловно
В этом есть и минус
Определить версию исо по составу модуля у юзера невозможно
Поэтому не определить - нужно именно вам обновление или нет - нельзя
Да и смысла в этом нет
На поддержку старых релизов сил все равно нет
Если вы не хотите участвовать в улучшении дистра (сидите на старом исо без обновлений) - почему разрабы должны озадачиваться вашими проблемами
При выходе новых читайте хотябы состав модулей в исо и сравнивайте со своими
« Последнее редактирование: 20 Ноябрь 2017, 11:23:03 от sfs »

Оффлайн Ekim

  • Постоялец
  • ***
  • Сообщений: 144
  • Репутация: +3/-0
Re: pra1608 : неудачное обновление
« Ответ #8 : 20 Ноябрь 2017, 11:57:02 »
Да понятно что никто не должен, проект на энтузиазме держится, и я совершенно без претензий.
Но думаю что предупреждение какое-нибудь в шапке окна обновления нужно прикрутить.

Оффлайн RoDoN

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 4982
  • Репутация: +104/-0
    • RoDoN
Re: pra1608 : неудачное обновление
« Ответ #9 : 20 Ноябрь 2017, 12:42:05 »
У меня установленной такой старой версии уже нет, но вот сегодня 1610 обновлял и все прошло без проблем, только при загрузке еще предлагает initrd.gz обновить.

Acer Aspire One AO751h (Atom Z520, Intel GMA500)
Acer Extensa 5620Z (T7500, Intel 965GM)
PuppyRus-JWM-13.12, PRA, Upup Precise, Tahr Puppy, Runtu 14.04 XFCE.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 20170
  • Репутация: +147/-0
    • PuppyRus-A
Re: pra1608 : неудачное обновление
« Ответ #10 : 21 Ноябрь 2017, 09:07:05 »
предупреждение какое-нибудь в шапке окна обновления нужно прикрутить.
Предупреждение кого, о чем , на основании анализа чего?